package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配置信息对象 applet_config
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public class AppletConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paramCode;

    /** 参数值-普通文本 */
    @Excel(name = "参数值-普通文本")
    private String paramValueText;

    /** 参数值-图片 */
    @Excel(name = "参数值-图片")
    private String paramValueImage;

    /** 参数值-富文本 */
    @Excel(name = "参数值-富文本")
    private String paramValueArea;

    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }
    public void setParamValueText(String paramValueText) 
    {
        this.paramValueText = paramValueText;
    }

    public String getParamValueText() 
    {
        return paramValueText;
    }
    public void setParamValueImage(String paramValueImage) 
    {
        this.paramValueImage = paramValueImage;
    }

    public String getParamValueImage() 
    {
        return paramValueImage;
    }
    public void setParamValueArea(String paramValueArea) 
    {
        this.paramValueArea = paramValueArea;
    }

    public String getParamValueArea() 
    {
        return paramValueArea;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("paramCode", getParamCode())
            .append("paramValueText", getParamValueText())
            .append("paramValueImage", getParamValueImage())
            .append("paramValueArea", getParamValueArea())
            .toString();
    }
}
